Functions

Get function

Get function details by ID including createdBy/updatedBy.

AuthJWT or API Key
GroupFunctions
Rate limitSee Rate Limits
GET/api/functions/projects/{projectId}/functions/{functionId}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, FunctionsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.

const functions = new FunctionsApi(configuration);
import { Configuration, FunctionsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.

const functions = new FunctionsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await functions.getFunction("proj_ehcbZUuYSlXI", "V6x0flcFmVTW8GM9");
const { data: result } = await functions.getFunction("proj_ehcbZUuYSlXI", "V6x0flcFmVTW8GM9");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Get your API key from the console
Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT Requires API Key JWT or API Key
Note
This endpoint accepts either JWT Bearer token or API Key. Use Authorization: Bearer YOUR_TOKEN for user context, or X-API-Key: YOUR_KEY for server-to-server. View authentication guide →Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Include your API key in the X-API-Key: YOUR_KEY header (server-to-server, SDKs). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
functionIdstringYes

Responses

200Function details
json
{
  "success": true,
  "data": {
    "_id": "685af8b85d73a104065b6a77",
    "name": "OnUserCreate",
    "description": "Process new users",
    "trigger": {
      "type": "document",
      "event": "create",
      "collectionId": "685ada8fd9416ac02f171abf"
    },
    "project": "685ad30be129932fbb7a1047",
    "isActive": true,
    "limits": {
      "timeout": 30000,
      "maxPayloadSize": 1048576,
      "maxExecutionsPerMinute": 60,
      "maxExecutionsPerHour": 1000
    },
    "stats": {
      "totalExecutions": 42,
      "successful": 40,
      "failed": 2,
      "successRate": 95.24,
      "avgExecutionTime": 125,
      "lastRun": "2024-01-15T10:30:00.000Z"
    },
    "createdBy": {
      "_id": "685acbe0e129932fbb7a0fc2",
      "name": "John Doe",
      "email": "john@example.com"
    },
    "createdAt": "2024-01-15T10:00:00.000Z",
    "updatedAt": "2024-01-15T10:00:00.000Z"
  }
}
{
  "success": true,
  "data": {
    "_id": "685af8b85d73a104065b6a77",
    "name": "OnUserCreate",
    "description": "Process new users",
    "trigger": {
      "type": "document",
      "event": "create",
      "collectionId": "685ada8fd9416ac02f171abf"
    },
    "project": "685ad30be129932fbb7a1047",
    "isActive": true,
    "limits": {
      "timeout": 30000,
      "maxPayloadSize": 1048576,
      "maxExecutionsPerMinute": 60,
      "maxExecutionsPerHour": 1000
    },
    "stats": {
      "totalExecutions": 42,
      "successful": 40,
      "failed": 2,
      "successRate": 95.24,
      "avgExecutionTime": 125,
      "lastRun": "2024-01-15T10:30:00.000Z"
    },
    "createdBy": {
      "_id": "685acbe0e129932fbb7a0fc2",
      "name": "John Doe",
      "email": "john@example.com"
    },
    "createdAt": "2024-01-15T10:00:00.000Z",
    "updatedAt": "2024-01-15T10:00:00.000Z"
  }
}
404Function not found

Errors

CodeMeaning
404Function not found
Edit this page on GitHub